package com.tmerclub.cloud.search.canal.model;

/**
 * @author throwable
 * @version v1
 * @description
 * @since 2020/9/20 12:29
 */
public interface ModelTable {

    /**
     * database
     * @return
     */
    String database();

    /**
     * table
     * @return
     */
    String table();

    /**
     * of
     * @param database
     * @param table
     * @return
     */
    static ModelTable of(String database, String table) {
        return DefaultModelTable.of(database, table);
    }
}
